Bug 549004 - Review Request: ez-pine-gpg - GnuPG integration scripts for Pine
Summary: Review Request: ez-pine-gpg - GnuPG integration scripts for Pine
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-19 22:07 UTC by David Cantrell
Modified: 2010-05-18 18:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-18 18:57:19 UTC
lemenkov: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description David Cantrell 2009-12-19 22:07:54 UTC
Spec URL: http://dcantrel.fedorapeople.org/ez-pine-gpg/ez-pine-gpg.spec
SRPM URL: http://dcantrel.fedorapeople.org/ez-pine-gpg/ez-pine-gpg-0.4h-1.fc13.src.rpm
Description: ez-pine-gpg is a set of scripts that allows beginners and experts to use gpg with Pine.

Comment 1 Peter Lemenkov 2010-05-15 04:46:48 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent

Sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/noarch/ez-pine-gpg-0.4h-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Sulaco ~/rpmbuild/SPECS: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

Sulaco ~/rpmbuild/SOURCES: sha256sum ez-pine-gpg_v0.4h.tgz*
b4c58d83a591536fd881592d57fbb38ea4783886a4e2022c1f30b35b7f363247  ez-pine-gpg_v0.4h.tgz
b4c58d83a591536fd881592d57fbb38ea4783886a4e2022c1f30b35b7f363247  ez-pine-gpg_v0.4h.tgz.1
Sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture (my ppc at F-12).
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

APPROVED

p.s. it would be great if you pick up any of these tickets and proceed with reviewing:

* https://bugzilla.redhat.com/show_bug.cgi?id=581278
* https://bugzilla.redhat.com/show_bug.cgi?id=581279
* https://bugzilla.redhat.com/show_bug.cgi?id=591926

First two items are easy-to-review, while the latter one is slightly more complex.

Comment 2 David Cantrell 2010-05-18 17:08:18 UTC
New Package CVS Request
=======================
Package Name: ez-pine-gpg
Short Description: GnuPG integration scripts for Pine
Owners: dcantrel
Branches:
InitialCC:

Comment 3 Dennis Gilmore 2010-05-18 18:32:24 UTC
CVS Done


Note You need to log in before you can comment on or make changes to this bug.